NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder Class Reference

Represents a NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder builder used to align the Directions of connected beam elements with a seed beam element. More...

Inheritance diagram for NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ConnectedElementScope { ConnectedElementScopeSeedMesh, ConnectedElementScopeAllVisible, ConnectedElementScopeUserSpecified }
 the options to define the connection scope to the seed element for model checking More...
 

Public Member Functions

std::vector
< NXOpen::CAE::FEElement * > 
AlignDirections ()
 Aligns the directions of elements connected to the seed element. More...
 
void DisplayDirections ()
 Display element directions for connected elements, which are to be aligned with seed element direction
Created in NX8.5.0. More...
 
NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ConnectedElementScope ElementConnectScope ()
 Returns the option to indicate how to define connected elements for checking
Created in NX8.5.0. More...
 
std::vector
< NXOpen::CAE::FEElement * > 
FindAllVisibleConnectedElements ()
 Finds all visible elements connected with the seed element. More...
 
bool ReverseSeedDirection ()
 Returns the option indicating whether to reverse element directions so that they are aligned with the seed element
Created in NX8.5.0. More...
 
NXOpen::CAE::FEElementSeedElement ()
 Returns the seed element
Created in NX8.5.0. More...
 
void SetElementConnectScope (NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ConnectedElementScope connectScope)
 Sets the option to indicate how to define connected elements for checking
Created in NX8.5.0. More...
 
void SetReverseSeedDirection (bool seedDirectionToBeReversed)
 Sets the option indicating whether to reverse element directions so that they are aligned with the seed element
Created in NX8.5.0. More...
 
void SetSeedElement (NXOpen::CAE::FEElement *seedElement)
 Sets the seed element
Created in NX8.5.0. More...
 
NXOpen::CAE::SelectElementsBuilderUserSpecifiedConnectElements ()
 Returns the user specified connected elements to be aligned with seed element
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder builder used to align the Directions of connected beam elements with a seed beam element.

You can align the directions by executing either Builder::Commit or NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::AlignDirections . The difference between these two methods is Builder::Commit aligns the directions and updates direction display, but it does not return the elements that have changed directions. NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::AlignDirections aligns the directions and returns the elements that have changed directions. Both of the methods are only available in fem context.
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateAlignBeamElementDirectionBuilder

Created in NX8.5.0.

Member Enumeration Documentation

the options to define the connection scope to the seed element for model checking

Enumerator
ConnectedElementScopeSeedMesh 

Limits check to only those beam elements in the mesh that contains the Seed Element.

ConnectedElementScopeAllVisible 

Limits check to only those beam elements which are connected to the Seed Element and are currently visible.

ConnectedElementScopeUserSpecified 

Limits check to only those beam elements specified in NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::UserSpecifiedConnectElements.

Member Function Documentation

std::vector<NXOpen::CAE::FEElement *> NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::AlignDirections ( )

Aligns the directions of elements connected to the seed element.

Returns the elements that have had the directions successfully reversed. This method will only reverse the directions for beam elements in the current work fem part.

Returns

Created in NX8.5.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::DisplayDirections ( )

Display element directions for connected elements, which are to be aligned with seed element direction
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ConnectedElementScope NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ElementConnectScope ( )

Returns the option to indicate how to define connected elements for checking
Created in NX8.5.0.



License requirements : None

std::vector<NXOpen::CAE::FEElement *> NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::FindAllVisibleConnectedElements ( )

Finds all visible elements connected with the seed element.

Returns

Created in NX8.5.0.

License requirements : None
bool NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ReverseSeedDirection ( )

Returns the option indicating whether to reverse element directions so that they are aligned with the seed element
Created in NX8.5.0.



License requirements : None

NXOpen::CAE::FEElement* NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::SeedElement ( )

Returns the seed element
Created in NX8.5.0.



License requirements : None

void NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::SetElementConnectScope ( NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::ConnectedElementScope  connectScope)

Sets the option to indicate how to define connected elements for checking
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
connectScopeconnectscope
void NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::SetReverseSeedDirection ( bool  seedDirectionToBeReversed)

Sets the option indicating whether to reverse element directions so that they are aligned with the seed element
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
seedDirectionToBeReversedseeddirectiontobereversed
void NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::SetSeedElement ( NXOpen::CAE::FEElement seedElement)

Sets the seed element
Created in NX8.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
seedElementseedelement
NXOpen::CAE::SelectElementsBuilder* NXOpen::CAE::ModelCheck::AlignBeamElementDirectionBuilder::UserSpecifiedConnectElements ( )

Returns the user specified connected elements to be aligned with seed element
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.